Debian Bug report logs - #391026
amanda-common: sarge to etch upgrade fails (file conflicts with amanda-client)

version graph

Package: amanda-common; Maintainer for amanda-common is Debian QA Group <packages@qa.debian.org>; Source for amanda-common is src:amanda.

Reported by: Bill Allombert <ballombe@debian.org>

Date: Wed, 4 Oct 2006 11:48:07 UTC

Severity: serious

Tags: fixed, patch

Found in version amanda/1:2.5.0p2-1

Fixed in version amanda/1:2.5.1-1

Done: Bdale Garbee <bdale@gag.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#391026; Package amanda-common. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
New Bug report received and forwarded. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: submit@bugs.debian.org
Subject: amanda-common: sarge to etch upgrade fails (file conflicts with amanda-client)
Date: Wed, 4 Oct 2006 13:43:30 +0200
Package: amanda-common
Version: 1:2.5.0p2-1
Severity: serious

Hello Bdale,

There is an error when upgrading amanda-common from sarge to etch,
  Preparing to replace amanda-common 1:2.4.4p3-3 (using .../amanda-common_1%3a2.5.0p2-1_i386.deb) ...
  Unpacking replacement amanda-common ...
  dpkg: error processing /var/cache/apt/archives/amanda-common_1%3a2.5.0p2-1_i386.deb (--unpack):
   trying to overwrite `/usr/lib/libamclient.la', which is also in package amanda-client
  unknown argument --> abort-upgrade
  dpkg-deb: subprocess paste killed by signal (Broken pipe)

The sarge package of amanda-client include the file
/usr/lib/libamclient.a so amanda-common needs to Replaces it.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#391026; Package amanda-common. Full text and rfc822 format available.

Message #8 received at 391026@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 391026@bugs.debian.org
Subject: Re: amanda-common: sarge to etch upgrade fails (file conflicts with amanda-client)
Date: Sat, 7 Oct 2006 13:36:48 +0200
[Message part 1 (text/plain, inline)]
tags 391026 patch
thanks

I have prepared and uploaded an NMU with the following patch. The
templates.pot change doesn't make a difference, so I didn't bother
to fix it, including the patch for completeness:

diff -u amanda-2.5.0p2/debian/po/templates.pot amanda-2.5.0p2/debian/po/templates.pot
--- amanda-2.5.0p2/debian/po/templates.pot
+++ amanda-2.5.0p2/debian/po/templates.pot
@@ -8,7 +8,7 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
 "Report-Msgid-Bugs-To: bdale@gag.com\n"
-"POT-Creation-Date: 2006-08-28 13:34-0400\n"
+"POT-Creation-Date: 2006-10-07 11:13+0000\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
diff -u amanda-2.5.0p2/debian/changelog amanda-2.5.0p2/debian/changelog
--- amanda-2.5.0p2/debian/changelog
+++ amanda-2.5.0p2/debian/changelog
@@ -1,3 +1,11 @@
+amanda (1:2.5.0p2-2.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Added Replaces:amanda-client to amanda-common control information; thanks
+    to Bill Alombert (closes: #391026).
+
+ -- martin f. krafft <madduck@debian.org>  Sat,  7 Oct 2006 13:11:08 +0200
+
 amanda (1:2.5.0p2-2) unstable; urgency=low
 
   * merge updated French translation, closes: #369243
diff -u amanda-2.5.0p2/debian/control amanda-2.5.0p2/debian/control
--- amanda-2.5.0p2/debian/control
+++ amanda-2.5.0p2/debian/control
@@ -10,7 +10,7 @@
 Depends: ${shlibs:Depends}, netbase (>=3.03), tar (>=1.12), perl5, mailx, debconf | debconf-2.0, adduser
 Suggests: amanda-server (= ${Source-Version}) | amanda-client (= ${Source-Version})
 Conflicts: amanda
-Replaces: amanda
+Replaces: amanda, amanda-client
 Description: Advanced Maryland Automatic Network Disk Archiver (Libs)
  This package contains libraries required by the amanda client and
  server packages.

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from madduck@debian.org (martin f. krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Bdale Garbee <bdale@gag.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 391026-close@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: 391026-close@bugs.debian.org
Subject: Bug#391026: fixed in amanda 1:2.5.1-1
Date: Wed, 18 Oct 2006 01:32:27 -0700
Source: amanda
Source-Version: 1:2.5.1-1

We believe that the bug you reported is fixed in the latest version of
amanda, which is due to be installed in the Debian FTP archive:

amanda-client_2.5.1-1_i386.deb
  to pool/main/a/amanda/amanda-client_2.5.1-1_i386.deb
amanda-common_2.5.1-1_i386.deb
  to pool/main/a/amanda/amanda-common_2.5.1-1_i386.deb
amanda-server_2.5.1-1_i386.deb
  to pool/main/a/amanda/amanda-server_2.5.1-1_i386.deb
amanda_2.5.1-1.diff.gz
  to pool/main/a/amanda/amanda_2.5.1-1.diff.gz
amanda_2.5.1-1.dsc
  to pool/main/a/amanda/amanda_2.5.1-1.dsc
amanda_2.5.1.orig.tar.gz
  to pool/main/a/amanda/amanda_2.5.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 391026@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bdale Garbee <bdale@gag.com> (supplier of updated amanda package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 18 Oct 2006 01:02:23 -0600
Source: amanda
Binary: amanda-client amanda-server amanda-common
Architecture: source i386
Version: 1:2.5.1-1
Distribution: unstable
Urgency: low
Maintainer: Bdale Garbee <bdale@gag.com>
Changed-By: Bdale Garbee <bdale@gag.com>
Description: 
 amanda-client - Advanced Maryland Automatic Network Disk Archiver (Client)
 amanda-common - Advanced Maryland Automatic Network Disk Archiver (Libs)
 amanda-server - Advanced Maryland Automatic Network Disk Archiver (Server)
Closes: 361716 365306 388707 391026 392153
Changes: 
 amanda (1:2.5.1-1) unstable; urgency=low
 .
   * new upstream version, closes: #361716
   * incorporate patch from NMU by Martin Krafft based on a suggestion by
     Bill Alombert (thanks!), accounting for the fact that we now deliver
     content in amanda-common that used to be in amanda-client, closes: #391026
   * updated ja.po from Hideki Yamane, closes: #392153
   * change debconf notification about old/rare conflict with amandadates file
     to be of type 'error' instead of 'note', closes: #388707
   * add --with-ssh-security to configure and note issue with suid of dumper
     to README.Debian, closes: #365306
Files: 
 91c43cbf36ece8632276b13b134e53e7 727 utils optional amanda_2.5.1-1.dsc
 4da805e0f419097093260feab8c462e3 1909276 utils optional amanda_2.5.1.orig.tar.gz
 80dd9919b7c6f92d9155ceeee98aa0ce 45523 utils optional amanda_2.5.1-1.diff.gz
 30914f0120b01cae4cff5a74d8bfdf07 1184408 utils optional amanda-common_2.5.1-1_i386.deb
 3c650a0dfb44ddc9a97fe2a15be4313e 376146 utils optional amanda-server_2.5.1-1_i386.deb
 70118c8bad33fec5c62dffed90802732 116520 utils optional amanda-client_2.5.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFNdy6ZKfAp/LPAagRAujxAJ9HfBmyA+3JEThbBjfqKzitNR5zxQCfQBxR
6AdbhPUmVavq2Z9wiu/rRQc=
=fHlX
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 23:59:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:09:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.